Package org.jfree.layouting.renderer.process

## Class FillPhysicalPagesStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.FillPhysicalPagesStep

-     public class FillPhysicalPagesStep
      extends IterateVisualProcessStep

  This Step copies all content from the logical page into the page-grid. When done, it clears the content and replaces the elements with dummy-nodes. These nodes have a fixed-size (the last known layouted size), and will not be recomputed later.

  Adjoining dummy-nodes get unified into a single node, thus simplifying and pruning the document tree.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FillPhysicalPagesStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LogicalPageBox` | `compute​(LogicalPageBox pagebox, long pageStart, long pageEnd)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` | Invisible nodes may need special treatment here.

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `finishBlockLevelBox, finishInlineLevelBox, processBlockLevelChild, processBlockLevelNode, processBoxChilds, processFlow, processInlineLevelChild, processInlineLevelNode, processOtherLevelChild, startInlineLevelBox, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillPhysicalPagesStep

          public FillPhysicalPagesStep​()

  - ### Method Detail

    - #### compute

          public LogicalPageBox compute​(LogicalPageBox pagebox,
                                        long pageStart,
                                        long pageEnd)

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      Invisible nodes may need special treatment here.
      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`
      Parameters:
        `box` -
      Returns: